Bug 257589 - Parsing leads to high CPU load and OOM
Parsing leads to high CPU load and OOM
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P2 (vote)
: 8.2
Assigned To: Petr Pisl
issues@javascript
ecma6
:
Depends on:
Blocks: 242387
  Show dependency treegraph
 
Reported: 2016-01-15 16:12 UTC by everflux
Modified: 2016-04-05 15:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
resource usage of the parser (101.60 KB, image/png)
2016-01-15 17:08 UTC, everflux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description everflux 2016-01-15 16:12:47 UTC
While the heapdump upload is still in progess I can provide you with a (shortened) stackdump and the biggest retained objects.

I assume the antlr parsing is somehow broken.

Class Name

Retained Size

org.antlr.v4.runtime.dfa.DFA[]#2

462,964,050

org.antlr.v4.runtime.dfa.DFA#93

325,268,080

org.antlr.v4.runtime.misc.DoubleKeyMap#1

256,743,928

java.util.LinkedHashMap#234928

256,743,904

org.antlr.v4.runtime.dfa.DFA#6

246,459,930

org.antlr.v4.runtime.dfa.DFA#38

135,955,791

org.antlr.v4.runtime.atn.PredictionContextCache#2

115,239,048

java.util.HashMap#23367

115,239,024

java.util.HashMap$Node[]#256615

115,238,960

org.netbeans.StandardModule$OneModuleClassLoader#169

9,184,201

java.util.Vector#381

9,180,336

java.lang.Object[]#37776

9,180,300

class org.netbeans.modules.css.lib.Css3Lexer

8,996,796

java.util.HashMap$Node[]#154618

8,388,632

short[][]#19

6,829,170

org.antlr.v4.runtime.CommonTokenStream#1

3,984,229

java.util.ArrayList#26144

3,984,188

java.lang.Object[]#62202

3,984,156

java.util.HashMap#23370

2,663,260

java.util.HashMap$Node[]#256601

2,663,196

java.util.HashMap#20066

2,461,916

java.util.HashMap$Node[]#256889

2,461,852

short[][]#20

2,140,650

org.netbeans.core.startup.layers.BinaryFS#1

1,783,338

java.util.HashMap#21214

1,331,300

java.util.HashMap$Node[]#256600

1,331,236

sun.misc.Launcher$AppClassLoader#1

1,113,817

org.antlr.v4.runtime.dfa.DFA#16

1,081,627

java.util.Vector#31

937,432

java.lang.Object[]#27818

937,396


  Basic info:
    Date taken: Fri Jan 15 15:58:34 CET 2016
    File size: 1,365.7 MB

    Total bytes: 1,262,435,426
    Total classes: 13,550
    Total instances: 20,219,898
    Classloaders: 478
    GC roots: 5,991
    Number of objects pending for finalization: 0

    Heap dumped on OutOfMemoryError exception

  Threads at the heap dump:

  
"Editor Parsing Loop (20160115-f23109f6cc92)" daemon prio=1 tid=58 WAITING
	at sun.misc.Unsafe.park(Native Method)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInterrupt(AbstractQueuedSynchronizer.java:836)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireQueued(AbstractQueuedSynchronizer.java:870)
	   Local Variable: java.util.concurrent.locks.AbstractQueuedSynchronizer$Node#22
	   Local Variable: java.util.concurrent.locks.ReentrantLock$FairSync#1
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(AbstractQueuedSynchronizer.java:1199)
	at java.util.concurrent.locks.ReentrantLock$FairSync.lock(ReentrantLock.java:224)
	at java.util.concurrent.locks.ReentrantLock.lock(ReentrantLock.java:285)
	at org.netbeans.modules.parsing.impl.TaskProcessor$RequestPerformer.run(TaskProcessor.java:786)
	   Local Variable: long[]#1410
	   Local Variable: org.netbeans.modules.parsing.api.Snapshot#17
	   Local Variable: org.netbeans.modules.parsing.impl.SourceCache#1
	   Local Variable: org.netbeans.modules.parsing.api.Source#1
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:304)
	at org.netbeans.modules.parsing.impl.TaskProcessor$RequestPerformer.execute(TaskProcessor.java:725)
	   Local Variable: org.netbeans.modules.parsing.impl.TaskProcessor$RequestPerformer#1
	at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:686)
	   Local Variable: org.netbeans.modules.parsing.impl.TaskProcessor$Request#1
	   Local Variable: org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob#1
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	   Local Variable: org.openide.util.RequestProcessor$RPFutureTask#1
	   Local Variable: java.util.concurrent.Executors$RunnableAdapter#2
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	   Local Variable: org.openide.util.RequestProcessor$Task#188
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
	   Local Variable: java.lang.Object#7893
	   Local Variable: org.openide.util.RequestProcessor#150
	   Local Variable: org.openide.util.Lookup[]#69

  
"Worker-JM" prio=5 tid=53 WAITING
	at java.lang.Object.wait(Native Method)
	at org.eclipse.core.internal.jobs.InternalWorker.run(InternalWorker.java:58)

  
"RepositoryUpdater.worker" daemon prio=1 tid=43 RUNNABLE
	at org.antlr.v4.runtime.atn.PredictionContext.merge(PredictionContext.java:195)
	   Local Variable: org.antlr.v4.runtime.atn.ArrayPredictionContext#193517
	   Local Variable: org.antlr.v4.runtime.atn.SingletonPredictionContext#648443
	at org.antlr.v4.runtime.atn.PredictionContext.mergeSingletons(PredictionContext.java:248)
	   Local Variable: org.antlr.v4.runtime.atn.SingletonPredictionContext#647300
	   Local Variable: org.antlr.v4.runtime.atn.SingletonPredictionContext#648446
	at org.antlr.v4.runtime.atn.PredictionContext.merge(PredictionContext.java:178)
	at org.antlr.v4.runtime.atn.PredictionContext.mergeSingletons(PredictionContext.java:248)
	   Local Variable: org.antlr.v4.runtime.atn.SingletonPredictionContext#648450
	   Local Variable: org.antlr.v4.runtime.atn.SingletonPredictionContext#647303
	   Local Variable: org.antlr.v4.runtime.misc.DoubleKeyMap#1
	at org.antlr.v4.runtime.atn.PredictionContext.merge(PredictionContext.java:178)
	at org.antlr.v4.runtime.atn.ATNConfigSet.add(ATNConfigSet.java:179)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489887
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1551)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490127
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1235
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490125
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#111
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490124
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#250
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490123
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1290
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#67
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490109
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#206
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490108
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#951
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490107
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#66
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490096
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#205
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490095
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1239
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490094
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1238
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490093
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#114
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490092
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#254
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490091
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1295
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490090
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#64
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490089
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#203
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490088
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1496
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490087
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490071
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#31
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490070
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#161
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#980
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490069
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#214
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490068
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490067
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1331
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490066
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1330
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490065
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#264
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490064
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1329
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#69
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490054
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#209
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490053
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490052
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1484
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490051
	   Local Variable: org.antlr.v4.runtime.atn.PlusBlockStartState#8
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.PlusLoopbackState#8
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490050
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#61
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490049
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490048
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#50
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490047
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490046
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490045
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1167
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490044
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#49
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490043
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#490042
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#970
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#70
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489936
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.RuleStartState#211
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489935
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1166
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489934
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489933
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489932
	   Local Variable: org.antlr.v4.runtime.atn.LoopEndState#29
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489931
	   Local Variable: org.antlr.v4.runtime.atn.StarLoopEntryState#20
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489930
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489929
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489928
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1422
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489863
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489862
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#55
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489861
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#171
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489860
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#130
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489858
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489857
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.LoopEndState#41
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489856
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.StarLoopEntryState#31
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489848
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1387
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489847
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489846
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#170
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489845
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489844
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#169
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489843
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicBlockStartState#129
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489841
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489840
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#76
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489839
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489838
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#75
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489837
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489834
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.LoopEndState#25
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489833
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.StarLoopEntryState#16
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489828
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#74
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489827
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489826
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#73
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489825
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489824
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489823
	   Local Variable: org.antlr.v4.runtime.atn.BlockEndState#173
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1518)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489822
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure_(ParserATNSimulator.java:1603)
	   Local Variable: org.antlr.v4.runtime.atn.BasicState#1448
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfig#489820
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closureCheckingStopState(ParserATNSimulator.java:1535)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.closure(ParserATNSimulator.java:1470)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.computeReachSet(ParserATNSimulator.java:874)
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfigSet#6533
	   Local Variable: java.util.HashSet#24
	   Local Variable: org.antlr.v4.runtime.atn.ATNConfigSet#6534
	at org.antlr.v4.runtime.atn.ParserATNSimulator.computeTargetState(ParserATNSimulator.java:595)
	at org.antlr.v4.runtime.atn.ParserATNSimulator.execATN(ParserATNSimulator.java:473)
	   Local Variable: org.antlr.v4.runtime.dfa.DFA#6
	   Local Variable: org.antlr.v4.runtime.dfa.DFAState#6534
	at org.antlr.v4.runtime.atn.ParserATNSimulator.adaptivePredict(ParserATNSimulator.java:412)
	   Local Variable: org.antlr.v4.runtime.atn.ParserATNSimulator#1
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.leftHandSideExpression(ECMAScript6Parser.java:2649)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$LeftHandSideExpressionContext#54
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.postfixExpression(ECMAScript6Parser.java:2711)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$PostfixExpressionContext#47
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.unaryExpression(ECMAScript6Parser.java:2807)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$UnaryExpressionContext#48
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.binaryExpression(ECMAScript6Parser.java:2921)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$BinaryExpressionContext#50
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.conditionalExpression(ECMAScript6Parser.java:3134)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ConditionalExpressionContext#44
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.assignmentExpression(ECMAScript6Parser.java:3252)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$AssignmentExpressionContext#51
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.expressionSequence(ECMAScript6Parser.java:3959)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ExpressionSequenceContext#26
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.coverParenthesizedExpressionAndArrowParameterList(ECMAScript6Parser.java:705)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$CoverParenthesizedExpressionAndArrowParameterListContext#4
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.primaryExpression(ECMAScript6Parser.java:649)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$PrimaryExpressionContext#53
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.memberExpression(ECMAScript6Parser.java:2058)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$MemberExpressionContext#70
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.newExpression(ECMAScript6Parser.java:2593)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$NewExpressionContext#43
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.leftHandSideExpression(ECMAScript6Parser.java:2661)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$LeftHandSideExpressionContext#53
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.postfixExpression(ECMAScript6Parser.java:2711)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$PostfixExpressionContext#46
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.unaryExpression(ECMAScript6Parser.java:2807)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$UnaryExpressionContext#47
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.binaryExpression(ECMAScript6Parser.java:2921)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$BinaryExpressionContext#49
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.conditionalExpression(ECMAScript6Parser.java:3134)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ConditionalExpressionContext#43
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.assignmentExpression(ECMAScript6Parser.java:3252)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$AssignmentExpressionContext#50
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.expressionSequence(ECMAScript6Parser.java:3959)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ExpressionSequenceContext#25
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.expressionStatement(ECMAScript6Parser.java:5765)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ExpressionStatementContext#16
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.statement(ECMAScript6Parser.java:4087)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$StatementContext#16
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.sourceElement(ECMAScript6Parser.java:9202)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$SourceElementContext#8
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.sourceElements(ECMAScript6Parser.java:9136)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$SourceElementsContext#2
	at org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser.program(ECMAScript6Parser.java:9075)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser$ProgramContext#2
	at org.netbeans.modules.javascript2.editor.parser.JsParser.parseSource(JsParser.java:151)
	   Local Variable: org.antlr.v4.runtime.ANTLRInputStream#2
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Lexer#2
	   Local Variable: org.netbeans.modules.javascript2.editor.parser6.ECMAScript6Parser#1
	   Local Variable: org.antlr.v4.runtime.CommonTokenStream#1
	at org.netbeans.modules.javascript2.editor.parser.JsParser.parseSource(JsParser.java:66)
	   Local Variable: java.lang.String#118291
	at org.netbeans.modules.javascript2.editor.parser.SanitizingParser.parseContext(SanitizingParser.java:225)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser.JsErrorManager#1
	at org.netbeans.modules.javascript2.editor.parser.SanitizingParser.parseContext(SanitizingParser.java:205)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser.SanitizingParser$Context#1
	at org.netbeans.modules.javascript2.editor.parser.SanitizingParser.parseSource(SanitizingParser.java:127)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser.SanitizingParser$Sanitize$2#1
	   Local Variable: java.lang.String#118290
	at org.netbeans.modules.javascript2.editor.parser.SanitizingParser.parse(SanitizingParser.java:92)
	   Local Variable: org.netbeans.modules.javascript2.editor.parser.JsErrorManager#2
	at org.netbeans.modules.parsing.impl.TaskProcessor.callParse(TaskProcessor.java:621)
	at org.netbeans.modules.parsing.impl.SourceCache.getResult(SourceCache.java:251)
	   Local Variable: org.netbeans.modules.parsing.api.Source$ASourceModificationEvent#2
	   Local Variable: org.netbeans.modules.javascript2.editor.parser.JsParser#2
	   Local Variable: org.netbeans.modules.parsing.api.Snapshot#16
	at org.netbeans.modules.parsing.api.ResultIterator.getParserResult(ResultIterator.java:138)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$2.run(RepositoryUpdater.java:3172)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.IndexerCache$IndexerInfo#16
	   Local Variable: org.netbeans.modules.javascript2.editor.index.JsIndexer$Factory#1
	   Local Variable: java.util.ArrayList$Itr#3
	   Local Variable: java.lang.String#59125
	at org.netbeans.modules.parsing.impl.TaskProcessor.callUserTask(TaskProcessor.java:609)
	at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:153)
	   Local Variable: org.netbeans.modules.parsing.api.ResultIterator#1
	   Local Variable: org.netbeans.modules.parsing.impl.SourceCache#4
	at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:137)
	at org.netbeans.modules.parsing.impl.TaskProcessor$2.call(TaskProcessor.java:204)
	at org.netbeans.modules.parsing.impl.TaskProcessor$2.call(TaskProcessor.java:201)
	at org.netbeans.modules.masterfs.filebasedfs.utils.FileChangedManager.priorityIO(FileChangedManager.java:176)
	at org.netbeans.modules.masterfs.providers.ProvidedExtensions.priorityIO(ProvidedExtensions.java:360)
	at org.netbeans.modules.parsing.nb.DataObjectEnvFactory.runPriorityIO(DataObjectEnvFactory.java:141)
	at org.netbeans.modules.parsing.impl.Utilities.runPriorityIO(Utilities.java:88)
	   Local Variable: org.netbeans.modules.parsing.impl.TaskProcessor$2#1
	at org.netbeans.modules.parsing.impl.TaskProcessor.runUserTask(TaskProcessor.java:201)
	   Local Variable: org.netbeans.modules.parsing.api.ParserManager$UserTaskAction#1
	at org.netbeans.modules.parsing.api.ParserManager.parse(ParserManager.java:104)
	   Local Variable: java.util.Collections$SingletonSet#3054
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$2#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.indexEmbedding(RepositoryUpdater.java:3144)
	   Local Variable: org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj#19
	   Local Variable: java.net.URL#967
	   Local Variable: org.netbeans.modules.parsing.spi.indexing.Indexable#7
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.ClusteredIndexables$BitSetIterator#1
	   Local Variable: java.util.Collections$UnmodifiableMap#64
	   Local Variable: java.util.ArrayList#16376
	   Local Variable: org.netbeans.modules.parsing.api.Source#2
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.doIndex(RepositoryUpdater.java:2865)
	   Local Variable: org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj#14
	   Local Variable: java.lang.String#96380
	   Local Variable: java.util.LinkedList#518
	   Local Variable: java.util.Collections$UnmodifiableCollection$1#2
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.ClusteredIndexables$BitSetIterable#1
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.ClusteredIndexables#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.access$500(RepositoryUpdater.java:2157)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$1.run(RepositoryUpdater.java:2639)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$1.run(RepositoryUpdater.java:2637)
	at org.netbeans.modules.parsing.impl.indexing.errors.TaskCache.refreshTransaction(TaskCache.java:565)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$1#1
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.errors.TaskCache#1
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.errors.TaskCache$TransactionContext#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.index(RepositoryUpdater.java:2637)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$AbstractRootsWork$4.call(RepositoryUpdater.java:5704)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$SourceIndexers#1
	   Local Variable: java.util.RegularEnumSet#73
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.FileObjectCrawler#1
	   Local Variable: java.util.Collections$UnmodifiableRandomAccessList#1215
	   Local Variable: java.util.Collections$UnmodifiableRandomAccessList#1214
	   Local Variable: java.util.IdentityHashMap#27
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$UsedIndexables#1
	   Local Variable: java.util.HashMap#25659
	   Local Variable: org.netbeans.api.java.classpath.ClassPath$Entry#2
	   Local Variable: java.util.Collections$UnmodifiableRandomAccessList#1208
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$AbstractRootsWork$4.call(RepositoryUpdater.java:5612)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$4.run(RepositoryUpdater.java:2130)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$4#1
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:304)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater.runInContext(RepositoryUpdater.java:2126)
	   Local Variable: java.util.ArrayList#25998
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater.runInContext(RepositoryUpdater.java:2107)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater.access$1200(RepositoryUpdater.java:157)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$AbstractRootsWork.scanSource(RepositoryUpdater.java:5739)
	   Local Variable: org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj#4
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$AbstractRootsWork$4#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$AbstractRootsWork.scanSources(RepositoryUpdater.java:5409)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$DependenciesContext#1
	   Local Variable: java.util.ArrayList$Itr#4
	   Local Variable: int[]#189123
	   Local Variable: int[]#189124
	   Local Variable: long[]#1054
	   Local Variable: java.net.URL#793
	   Local Variable: java.util.Collections$SynchronizedMap#19
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$RootsWork.getDone(RepositoryUpdater.java:5028)
	   Local Variable: org.netbeans.api.project.Project[]#5
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.doTheWork(RepositoryUpdater.java:3410)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task._run(RepositoryUpdater.java:6173)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$RootsWork#1
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$WorkCancel#1
	   Local Variable: org.netbeans.api.progress.ProgressHandle#4
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.LogContext#2
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task.access$4300(RepositoryUpdater.java:5824)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task$2$1.run(RepositoryUpdater.java:6089)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:304)
	at org.netbeans.modules.parsing.impl.RunWhenScanFinishedSupport.performScan(RunWhenScanFinishedSupport.java:106)
	   Local Variable: org.netbeans.core.startup.MainLookup#1
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task$2$1#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task$2.call(RepositoryUpdater.java:6085)
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task$2.call(RepositoryUpdater.java:6081)
	at org.netbeans.modules.masterfs.filebasedfs.utils.FileChangedManager.priorityIO(FileChangedManager.java:176)
	at org.netbeans.modules.masterfs.providers.ProvidedExtensions.priorityIO(ProvidedExtensions.java:360)
	at org.netbeans.modules.parsing.nb.DataObjectEnvFactory.runPriorityIO(DataObjectEnvFactory.java:141)
	   Local Variable: org.netbeans.modules.parsing.nb.DataObjectEnvFactory#1
	at org.netbeans.modules.parsing.impl.Utilities.runPriorityIO(Utilities.java:88)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task$2#1
	at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task.run(RepositoryUpdater.java:6081)
	   Local Variable: org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Task#1
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	   Local Variable: java.util.concurrent.Executors$RunnableAdapter#3
	   Local Variable: org.openide.util.RequestProcessor$RPFutureTask#2
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	   Local Variable: org.openide.util.RequestProcessor$Task#189
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
	   Local Variable: org.openide.util.Lookup[]#68
	   Local Variable: java.lang.Object#4898
	   Local Variable: org.openide.util.RequestProcessor#21
Comment 1 everflux 2016-01-15 17:07:57 UTC
The upload of the heapdump failed, perhaps it was too big.
I saw http://hg.netbeans.org/web-main/rev/6e64ecaac016 and tested that build.
It definitively improved, the OOME was gone, but still very high CPU and heap usage after creating a HTML5 project.
NetBeans is unresponsive after about 40 seconds.

log shows
    [exec] WARNING [org.netbeans.core.TimableEventQueue]: too much time in AWT thread org.netbeans.modules.sampler.InternalSampler@6a26512e
     [exec] WARNING [org.netbeans.core.TimableEventQueue]: no snapshot taken
     [exec] WARNING [org.netbeans.core.TimableEventQueue]: too much time in AWT thread org.netbeans.modules.sampler.InternalSampler@5028795b
     [exec] WARNING [org.netbeans.core.TimableEventQueue]: no snapshot taken
     [exec] WARNING [org.netbeans.core.TimableEventQueue]: too much time in AWT thread org.netbeans.modules.sampler.InternalSampler@67e6ffa7

I can attach a screenshot of visualvm.
Comment 2 everflux 2016-01-15 17:08:29 UTC
Created attachment 158147 [details]
resource usage of the parser
Comment 3 Petr Pisl 2016-01-17 21:41:56 UTC
I'm working on this. Please attach a stacktrace as attachment. It will help to keep the issue more readable. Thanks.
Comment 4 everflux 2016-01-17 22:41:10 UTC
Sorry cleaned up the test instance. Will attach stacktrace as file attachment next time. Sorry the heap upload and exception report/stacktrace did not make it...
Comment 5 Petr Pisl 2016-04-05 15:07:06 UTC
We changed the parser. Now we don't use ANTLR based parser.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo